# -*- coding: utf-8 -*-

from django.utils import timezone
from django.utils.translation import gettext_lazy as _

CRON_JOB_STATUS_CHOICES = (
    (-2, _('draft')),
    (0, _('to run')),
    (-1, _('running')),
    (1, _('completed')),
)

CRON_JOB_PRIORITY_CHOICES = (
    (5, _('not important')),
    (4, _('normal')),
    (3, _('important')),
    (2, _('urgent')),
    (1, _('very urgent')),
)

CRON_JOB_COMMAND_CHOICES = []

# JobLog cleaning
CRON_JOBLOG_SUCCESS_DURATION = timezone.timedelta(days=30)
CRON_JOBLOG_FAIL_DURATION = timezone.timedelta(days=30)

# Alert
CRON_JOB_MAX_JOB_DURATION = timezone.timedelta(days=1)
CRON_ALERT_BACKEND = 'thx.cron.backends.email.CronAlertEmailBackend'
CRON_ALERT_EMAIL_BACKEND_CONFIG = {
    'recipient_list': [],
    'from_email': None,
    'fail_silently': False,
    'email_template': "thx/cron/alert/cron_alert_default_template.html",
    'text_template': "thx/cron/alert/cron_alert_default_template.txt",
}

# For custom project specific JobHandler classes
THX_CRON_JOB_HANDLER_CLASSES = []


CRON_JOB_CANCELLATION_TIMEDELTA = {
    "DEFAULT": {
        'JOB_SUCCESS': None,
        'JOB_FAILURE': None
    }
}
